<!DOCTYPE html>
	<html lang="en">
	<head>
	<meta charset="UTF-8">
	<title>Simple Example of Croping Image with php and AJAX</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
	<style>
	.btn-file {
	    position: relative;
	    overflow: hidden;
	}
	.btn-file input[type=file] {
	    position: absolute;
	    top: 0;
	    right: 0;
	    min-width: 100%;
	    min-height: 100%;
	    font-size: 100px;
	    text-align: right;
	    filter: alpha(opacity=0);
	    opacity: 0;
	    outline: none;
	    background: white;
	    cursor: inherit;
	    display: block;
	}

	#img-upload{
	    width: 100%;
	}
	</style>
	</head>
	<body>
		<div class="container" style="padding-top:50px">
			<h2>Simple Example of Image upload ans store with php,jQuery and MySQL</h2>
			<form id="image_upload_form" method="post" enctype="multipart/form-data" action='upload.php' autocomplete="off">
				<div class="alert alert-danger hide"></div>
				<div class="alert alert-success hide"></div>
				<div class="col-md-6">
				    <div class="form-group">
				        <label>Upload Image</label>
				        <div class="input-group">
				            <input type="text" class="form-control" id="input_image_text" readonly>
				            <span class="input-group-btn">
				                <span class="btn btn-success btn-file">
				                    Browse… <input type="file" id="photoimg" name="photoimg"/>
				                </span>
				                <button type="submit" class="btn btn-warning">
				                    <i class="glyphicon glyphicon-upload"></i> upload
				                </button>
				            </span>
				        </div>
				    </div>
				</div>
			</form>
		</div>
	</body>
</html>
<script type="text/javascript">
	jQuery(document).ready(function(){
		$('#photoimg').on('change', function() {
			var label = $(this).val().replace(/\\/g, '/').replace(/.*\//, ''),
			 input = $('#input_image_text').val(label);
			 $('.alert').addClass('hide');
			 $('.alert').removeClass('show');

		});

		var frm = $('#image_upload_form');

    frm.submit(function (e) {
    	e.preventDefault();
    	var formData = new FormData();
formData.append('photoimg', $('#photoimg')[0].files[0]);

        
        $.ajax({
            type: frm.attr('method'),
            url: frm.attr('action'),
            data: formData,
            dataType: "json",
            processData: false,  // tell jQuery not to process the data
       contentType: false,  // tell jQuery not to set contentType

            success: function (data) {
                console.log(data['error']);
                if(data.error == 1) {
                	$('.alert-danger').removeClass('hide').addClass('show').html(data['msg']);
                } else {
                	$('.alert-success').removeClass('hide').addClass('show').html('Uploaded');
                console.log(data);
                }
                
            },
            error: function (data) {
                console.log(data);
                $('.alert-danger').removeClass('hide').addClass('show').html(data);
            },
        });
		});  
	});
</script>